dofile(core.get_modpath("myconcrete").."/concrete.lua")
dofile(core.get_modpath("myconcrete").."/limestone.lua")
dofile(core.get_modpath("myconcrete").."/mapgen.lua")
dofile(core.get_modpath("myconcrete").."/aliases.lua")
dofile(core.get_modpath("myconcrete").."/nodes.lua")

if core.get_modpath("mypaint") then
	dofile(core.get_modpath("myconcrete").."/paint.lua")
end


if core.get_modpath("lucky_block") then
	lucky_block:add_blocks({
		{"dro", {"myconcrete:sidewalk"}, 50},
		{"dro", {"myconcrete:concrete"}, 50},
		{"dro", {"myconcrete:fence_concrete"}, 12},
		{"dro", {"myconcrete:precast_concrete_seperating_wall"}, 4},
		{"dro", {"myconcrete:precast_concrete_cylinder"}, 4},
		{"dro", {"myconcrete:limestone"}, 25},
		{"dro", {"myconcrete:manhole"}, 1},
		{"dro", {"myconcrete:manhole_shaft"}, 5},
		{"dro", {"myconcrete:guard"}, 3},
		{"dro", {"myconcrete:rail"}, 10},
		{"dro", {"myconcrete:bullard"}, 4},
		{"dro", {"myconcrete:curb_stop"}, 4},
	})
end
